Skip to main content
`Ctrl`+`K`

# read_table_hdf5

astropy.io.misc.hdf5.read_table_hdf5(input, path=None, character_as_bytes=True)

  Read a Table object from an HDF5 file.

  This requires h5py to be installed. If more than one table is present in the HDF5 file or group, the first table is read in and a warning is displayed.

  Parameters:
    input `python:str` or `h5py.File` or `h5py.Group` or

      `h5py.Dataset` If a string, the filename to read the table from. If an h5py object, either the file or the group object to read the table from.

    path `python:str`

      The path from which to read the table inside the HDF5 file. This should be relative to the input file or group.

    character_as_bytes bool

      If `True` then Table columns are left as bytes. If `False` then Table columns are converted to unicode.